/***************************************************************************
 **
 **    This file defines the board specific definition
 **
 **    Used with ARM IAR C/C++ Compiler and Assembler.
 **
 **    (c) Copyright IAR Systems 2005
 **
 **    $Revision: 1.2.2.1 $
 **
 ***************************************************************************/
#include "arm_comm.h"

#ifndef __BOARD_H
#define __BOARD_H

#define LPC2148

/* OSC [MHz] */
#define FOSC                (12MHZ)

/* Core clk [MHz]  24 MHz
   When USB engine is used the Core clk must be more that 18MHz */
#define FCCLK               (24MHZ)

#define MAM_STATE           TRUE
#define MAM_CONFIG          MAM_FULL
#define MAM_CYCLES          MAMCycle3


/* Time Precision time [us] */
#define TIMER_PRECISION     1

/* Sys timer tick per seconds */
#define TICK_PER_SECOND     5

#endif /* __BOARD_H */
